### Namespace

# GLibUnix – 2.0

Unix-specific APIs in GLib

Version | 2.80.0
Authors | GLib Development Team
License | LGPL-2.1-or-later
Website | https://www.gtk.org
Source | https://gitlab.gnome.org/GNOME/glib/

#### Build

C headers | `glib-unix.h, glib.h`
pkg-config files | `glib-2.0`

#### Dependencies

GLib—2.0 | The base utility library
| Browse documentation

#### Related libraries

GModule | Portable API for dynamically loading modules
| Browse documentation
GObject | The base type system library
| Browse documentation
GIO | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation

#### Additional documentation

- Unix-specific Utilities
- Classes Hierarchy

#### Structs

Pipe | A Unix pipe. The advantage of this type over `int[2]` is that it can be closed automatically when it goes out of scope, using `g_auto(GUnixPipe)`, on compilers that support that feature. since: 2.80

#### Enumerations

PipeEnd | Mnemonic constants for the ends of a Unix pipe. since: 2.80

#### Callbacks

FDSourceFunc | The type of functions to be called when a UNIX fd watch source triggers. since: 2.0

#### Functions

closefrom | since: 2.0
error_quark | since: 2.0
fd_add | since: 2.0
fd_add_full | since: 2.0
fd_source_new | since: 2.0
fdwalk_set_cloexec | since: 2.0
get_passwd_entry | since: 2.0
open_pipe | since: 2.0
set_fd_nonblocking | since: 2.0
signal_add | since: 2.0
signal_add_full | since: 2.0
signal_source_new | since: 2.0